Title: JSR223: ScriptEngine.FILENAME not honoured
Type: Severity: normal
Components: Core Versions: Jython 2.7
Milestone: Jython 2.7.1
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: fwierzbicki, hierynomus, zyasoft
Priority: normal Keywords:

Created on 2011-04-22.13:55:50 by hierynomus, last changed 2016-01-14.05:48:42 by zyasoft.

msg6503 (view) Author: Jeroen van Erp (hierynomus) Date: 2011-04-22.13:55:50
When executing a script file using the JSR223 ScriptEngine for Jython, the argv array should contain as a first parameter the scriptname that is being executed if I add the following line to my Java program:
scriptEngine.put(ScriptEngine.FILENAME, "");
However this is not the case.
msg10600 (view) Author: Jim Baker (zyasoft) Date: 2016-01-07.05:37:26
Fixed as of
Date User Action Args
2016-01-14 05:48:42zyasoftsetstatus: pending -> closed
2016-01-07 05:37:26zyasoftsetstatus: open -> pending
versions: + Jython 2.7, - Jython 2.5
nosy: + zyasoft
messages: + msg10600
milestone: Jython 2.7.1
resolution: remind -> fixed
2014-06-19 05:36:46zyasoftsetresolution: remind
2013-02-26 17:57:23fwierzbickisetnosy: + fwierzbicki
2013-02-25 18:31:46fwierzbickisetpriority: normal
versions: + Jython 2.5, - 2.5.1
2011-04-22 13:55:50hierynomuscreate